Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.html2
Class JRexHTMLAreaElementImpl

    java.lang.Object
      org.mozilla.jrex.dom.JRexNodeImpl
          org.mozilla.jrex.dom.JRexElementImpl
              org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
                  org.mozilla.jrex.dom.html2.JRexHTMLAreaElementImpl

All Implemented Interfaces:
  Element, HTMLAreaElement, HTMLElement, Node

public class JRexHTMLAreaElementImpl
extends JRexHTMLElementImpl
implements HTMLAreaElement

A class implementing org.w3c.dom.html2.HTMLAreaElement interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `HTMLAreaElement`

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`String` | `getAccessKey()` A single character access key to give access to the form control.
`String` | `getAlt()` Alternate text for user agents not rendering the normal content of this element.
`String` | `getCoords()` Comma-separated list of lengths, defining an active region geometry.
`String` | `getHref()` The URI [IETF RFC 2396] of the linked resource.
`boolean` | `getNoHref()` Specifies that this area is inactive, i.e., has no associated action.
`String` | `getShape()` The shape of the active area.
`int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
`String` | `getTarget()` Frame to render the resource in.
`void` | `setAccessKey(String accessKey)` A single character access key to give access to the form control.
`void` | `setAlt(String alt)` Alternate text for user agents not rendering the normal content of this element.
`void` | `setCoords(String coords)` Comma-separated list of lengths, defining an active region geometry.
`void` | `setHref(String href)` The URI [IETF RFC 2396] of the linked resource.
`void` | `setNoHref(boolean noHref)` Specifies that this area is inactive, i.e., has no associated action.
`void` | `setShape(String shape)` The shape of the active area.
`void` | `setTabIndex(int tabIndex)` Index that represents the element's position in the tabbing order.
`void` | `setTarget(String target)` Frame to render the resource in.

Methods inherited from class org.mozilla.jrex.dom.html2.JRexHTMLElementImpl
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.mozilla.jrex.dom.JRexElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.mozilla.jrex.dom.JRexNodeImpl
`appendChild, cloneNode, dispose, equals, finalize, getAttributes, getChildNodes, getEventTarget, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, hashCode, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix, toString`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html2.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getAccessKey

    public String getAccessKey()

  Description copied from interface: `HTMLAreaElement`
  A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.01.

  Specified by:
    `getAccessKey` in interface `HTMLAreaElement`

### setAccessKey

    public void setAccessKey(String accessKey)

  Description copied from interface: `HTMLAreaElement`
  A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.01.

  Specified by:
    `setAccessKey` in interface `HTMLAreaElement`

### getAlt

    public String getAlt()

  Description copied from interface: `HTMLAreaElement`
  Alternate text for user agents not rendering the normal content of this element. See the alt attribute definition in HTML 4.01.

  Specified by:
    `getAlt` in interface `HTMLAreaElement`

### setAlt

    public void setAlt(String alt)

  Description copied from interface: `HTMLAreaElement`
  Alternate text for user agents not rendering the normal content of this element. See the alt attribute definition in HTML 4.01.

  Specified by:
    `setAlt` in interface `HTMLAreaElement`

### getCoords

    public String getCoords()

  Description copied from interface: `HTMLAreaElement`
  Comma-separated list of lengths, defining an active region geometry. See also `shape` for the shape of the region. See the coords attribute definition in HTML 4.01.

  Specified by:
    `getCoords` in interface `HTMLAreaElement`

### setCoords

    public void setCoords(String coords)

  Description copied from interface: `HTMLAreaElement`
  Comma-separated list of lengths, defining an active region geometry. See also `shape` for the shape of the region. See the coords attribute definition in HTML 4.01.

  Specified by:
    `setCoords` in interface `HTMLAreaElement`

### getHref

    public String getHref()

  Description copied from interface: `HTMLAreaElement`
  The URI [IETF RFC 2396] of the linked resource. See the href attribute definition in HTML 4.01.

  Specified by:
    `getHref` in interface `HTMLAreaElement`

### setHref

    public void setHref(String href)

  Description copied from interface: `HTMLAreaElement`
  The URI [IETF RFC 2396] of the linked resource. See the href attribute definition in HTML 4.01.

  Specified by:
    `setHref` in interface `HTMLAreaElement`

### getNoHref

    public boolean getNoHref()

  Description copied from interface: `HTMLAreaElement`
  Specifies that this area is inactive, i.e., has no associated action. See the nohref attribute definition in HTML 4.01.

  Specified by:
    `getNoHref` in interface `HTMLAreaElement`

### setNoHref

    public void setNoHref(boolean noHref)

  Description copied from interface: `HTMLAreaElement`
  Specifies that this area is inactive, i.e., has no associated action. See the nohref attribute definition in HTML 4.01.

  Specified by:
    `setNoHref` in interface `HTMLAreaElement`

### getShape

    public String getShape()

  Description copied from interface: `HTMLAreaElement`
  The shape of the active area. The coordinates are given by `coords`. See the shape attribute definition in HTML 4.01.

  Specified by:
    `getShape` in interface `HTMLAreaElement`

### setShape

    public void setShape(String shape)

  Description copied from interface: `HTMLAreaElement`
  The shape of the active area. The coordinates are given by `coords`. See the shape attribute definition in HTML 4.01.

  Specified by:
    `setShape` in interface `HTMLAreaElement`

### getTabIndex

    public int getTabIndex()

  Description copied from interface: `HTMLAreaElement`
  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.01.

  Specified by:
    `getTabIndex` in interface `HTMLAreaElement`

### setTabIndex

    public void setTabIndex(int tabIndex)

  Description copied from interface: `HTMLAreaElement`
  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.01.

  Specified by:
    `setTabIndex` in interface `HTMLAreaElement`

### getTarget

    public String getTarget()

  Description copied from interface: `HTMLAreaElement`
  Frame to render the resource in. See the target attribute definition in HTML 4.01.

  Specified by:
    `getTarget` in interface `HTMLAreaElement`

### setTarget

    public void setTarget(String target)

  Description copied from interface: `HTMLAreaElement`
  Frame to render the resource in. See the target attribute definition in HTML 4.01.

  Specified by:
    `setTarget` in interface `HTMLAreaElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.